<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Gestion Examen Login</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="../../bower_components/bootstrap/dist/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../../bower_components/font-awesome/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="../../bower_components/Ionicons/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="../../dist/css/AdminLTE.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="../../plugins/iCheck/square/blue.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Google Font -->
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition login-page">
<div class="login-box">
    <div class="login-logo">
        <a href="../../index2.html"><b>GestionDes</b>Examens</a>
    </div>
    {{ include ('components/_flash_messages.html.twig') }}
    <!-- /.login-logo -->
    <div class="login-box-body">
        <p class="login-box-msg">Connectez-vous pour commencer votre session</p>

        <form method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
            <div class="checkbox mb-3">Vous ête connecter sous le nom {{ app.user.username }}, <a
                        href="{{ path('app_logout') }}">Logout</a>
                {% endif %}

                <h1 class="h3 mb-3 font-weight-normal">Veuillez vous connecter</h1>
                <div class="form-group has-feedback">
                    <label for="inputUsername" class="sr-only">Login</label>
                    <input type="text" value="{{ last_username }}" name="username" id="inputUsername"
                           class="form-control" placeholder="Login" required autofocus>
                    <i class="glyphicon glyphicon-user form-control-feedback"></i>
                </div>
                <div class="form-group has-feedback">
                    <label for="inputPassword" class="sr-only">Mot de passe</label>
                    <input type="password" name="password" id="inputPassword" class="form-control"
                           placeholder="Mot de Passe" required>
                    <i class="glyphicon glyphicon-lock form-control-feedback"></i>
                </div>


                <input type="hidden" name="_csrf_token"
                       value="{{ csrf_token('authenticate') }}"
                >


                <p></p>
                <button class="btn  btn-primary" type="submit">
                    Se Connecter
                </button>
            </div>
            {% for message in app.flashes('expired') %}
                <div class="alert alert-danger">{{ message }}</div>
            {% endfor %}
            {% for message in app.flashes('success') %}
                <div class="alert alert-success">{{ message }}</div>
            {% endfor %}
            {% for message in app.flashes('successmail') %}
                <div class="alert alert-success">{{ message }}</div>
            {% endfor %}
        </form>


        <a href="{{ path('request_resetting') }}">J'ai oublié mon mot de passe</a><br>


    </div>
    <!-- /.login-box-body -->
</div>
<!-- /.login-box -->

<!-- jQuery 3 -->
<script src="../../bower_components/jquery/dist/jquery.min.js"></script>
<!-- Bootstrap 3.3.7 -->
<script src="../../bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<!-- iCheck -->
<script src="../../plugins/iCheck/icheck.min.js"></script>
<script>
    $(function () {
        $('input').iCheck({
            checkboxClass: 'icheckbox_square-blue',
            radioClass: 'iradio_square-blue',
            increaseArea: '20%' /* optional */
        });
    });
</script>
</body>
</html>
